Subject: bug#66008: closed (Re: [PATCH gnome-team v2 3/3] gnu: gnome-text-editor: Update to 44.0.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 24 Sep 2023 10:05:01 +0000

Your bug report

#66008: [PATCH gnome-team 0/4] Fix and update gnome-text-editor

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66008: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66008
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH gnome-team v2 3/3] gnu: gnome-text-editor: Update to 44.0.
From: Liliana Marie Prikler <[email-masked]>
To: Vivien Kraus <[email-masked]>, [email-masked]
Cc: [email-masked], [email-masked]
Date: Sun, 24 Sep 2023 12:04:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Freitag, dem 15.09.2023 um 19:52 +0200 schrieb Vivien Kraus:
> * gnu/packages/gnome.scm (gnome-text-editor): Update to 44.0.
> [inputs]: Add editorconfig-core-c.
> ---
Pushed.

Thanks

Subject: [PATCH gnome-team 0/4] Fix and update gnome-text-editor
From: Vivien Kraus <[email-masked]>
To: [email-masked]
Date: Fri, 15 Sep 2023 20:17:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear guix,

Let’s fix gnome-text-editor by adding the missing pcre dependency, and then
update it.

I noticed that the new version now requires editorconfig-core-c. Since this
one lives in (gnu packages text-editor), and that (gnu packages text-editor)
imports (gnu packages gnome), then we would have a circular dependency. To
avoid it, I just moved editorconfig-core-c to (gnu packages gnome), and
re-export it from (gnu packages text-editor) so that everyone is happy. I did
not use the "re-export" Guile form though, because it seems to mess things up
with guile.

What do you think?

Best regards,

Vivien

Vivien Kraus (4):
  gnu: gnome-text-editor: Add missing input.
  gnu: editorconfig-core-c: Move to (gnu packages gnome).
  gnu: editorconfig-core-c: Update to 0.12.6.
  gnu: gnome-text-editor: Update to 44.0.

 gnu/packages/gnome.scm        | 65 +++++++++++++++++++++++++++++++++--
 gnu/packages/text-editors.scm | 53 ++--------------------------
 2 files changed, 65 insertions(+), 53 deletions(-)

base-commit: 43cdc8a07517e936812782c313fe145bcf5c7ed3
-- 
2.41.0